<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-218 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<center>
  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#DFDFDF">
    <tr>
      <td height="20" colspan="5" background="images/bg.gif"></td>
    </tr>
    <tr>
      <td background="images/bg.gif" style="width:47px; height:68px;"></td>
      <td rowspan="8" bgcolor="#B2B2B2" style="width:1px;"><img src="images/space.gif" width="1" height="1"/></td>
    <td height="68" align="left" valign="top">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="1" bgcolor="#B2B2B2"><img src="images/space.gif" width="1" height="1"/></td>
      </tr>
    </table>
    <table width="100%" height="68"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="10" align="left" valign="top"><img src="images/menu1.jpg" width="10" height="68"/></td>
      <td width="100%" align="left" valign="top" background="images/menu2.jpg"><table width="100%" height="68"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="5"><img src="images/space.gif" width="1" height="5"/></td>
        </tr>
        <tr>
          <td height="58" align="center" valign="top"><table height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <xsl:call-template name="TOP-MENU"/>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td height="4"><img src="images/space.gif" width="1" height="4"/></td>
        </tr>
      </table>	    </td>
        <td width="10" align="right" valign="top"><img src="images/menu3.jpg" width="10" height="68"/></td>
      </tr>
    </table></td>
      <td rowspan="8" bgcolor="#B2B2B2" style="width:1px;"><img src="images/space.gif" width="1" height="1"/></td>
      <td background="images/bg.gif" style="width:47px; height:68px;"></td>
    </tr>
    <tr>
      <td bgcolor="#B2B2B2" style="height:1px;"></td>
      <td align="left" valign="top" bgcolor="#B2B2B2"></td>
      <td bgcolor="#B2B2B2"></td>
    </tr>
    <tr>
      <td></td>
      <td height="221" align="left" valign="top" background="images/header3.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="100%" height="100%" align="left" style="background-image: url('images/header2.jpg'); background-repeat: no-repeat;background-position: left top;padding:20px;">
		  <table width="340"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top" style="padding-bottom:15px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            </tr>
            <tr>
              <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>
		  <img src="images/space.gif" width="240" height="1"/></td>
        <td width="448" align="left" valign="top"><img src="images/header.jpg" width="448" height="221"/></td>
        </tr>
      </table></td>
      <td></td>
    </tr>
    <tr>
      <td bgcolor="#B2B2B2" style="height:1px;"></td>
      <td align="left" valign="top" bgcolor="#B2B2B2"></td>
      <td bgcolor="#B2B2B2"></td>
    </tr>
    <tr>
      <td background="images/bg.gif"></td>
      <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top" bgcolor="#D2D2D2" style="width:235px; padding:20px;"><table cellpadding="0" cellspacing="0" width="100%" align="center">
            <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
          </table>
            <img src="images/space.gif" width="195" height="1"/></td>
          <td width="1" bgcolor="#B2B2B2"><img src="images/space.gif" width="1" height="1"/></td>
          <td width="100%" height="100%" align="left" valign="top" style="padding: 25px;">
		  <table cellpadding="0" cellspacing="0" border="0">
                                      <tr>
                                         <td class="text-header" style="padding-top:2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                         <td style="padding-left: 5px;"><img src="images/txtheader_bullet.jpg" alt="" width="19" height="18" border="0"/></td>
                                      </tr>
              </table><div style="width:0px; height:15px;"><span></span></div>
			<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<tr>
<td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
		  </td>
        </tr>
      </table></td>
      <td background="images/bg.gif"></td>
    </tr>
    <tr>
      <td bgcolor="#B2B2B2" style="height:1px;"></td>
      <td align="left" valign="top" bgcolor="#B2B2B2"></td>
      <td bgcolor="#B2B2B2"></td>
    </tr>
    <tr>
      <td></td>
      <td height="68" align="left" valign="top"><table width="100%" height="68"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="10" align="left" valign="top" height="68"><img src="images/menu1.jpg" width="10" height="68"/></td>
          <td width="100%" height="100%" align="left" valign="top" background="images/menu2.jpg">
            <table width="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="5"><img src="images/space.gif" width="1" height="5"/></td>
              </tr>
              <tr>
                <td height="58" align="center" valign="top"><table height="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <xsl:call-template name="BOTTOM-MENU"/>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td height="4"><img src="images/space.gif" width="1" height="4"/></td>
              </tr>
          </table></td>
          <td width="10" align="right" valign="top"><img src="images/menu3.jpg" width="10" height="68"/></td>
        </tr>
      </table>
	  </td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="1" bgcolor="#B2B2B2"><img src="images/space.gif" width="1" height="1"/></td>
      </tr>
	  <tr>
	  <td height="40" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
	 </tr>
    </table></td>
      <td></td>
    </tr>
  </table>
</center>
</BODY>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
    <td align="left" style="width:25px;"><img src="images/submenu_bullet.jpg" alt="" width="11" height="10" border="0"/></td>
    <td class="asubmenu" style="padding-left: 5px; width: 100%;"><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
   <td align="left" style="width:25px;"><img src="images/submenu_bullet.jpg" alt="" width="11" height="10" border="0"/></td>
   <td class="asubmenu" style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
   <td colspan="2" height="20"><div style="height:1px; background-color: #B4B4B4; background-image: url('images/bg.jpg'); background-repeat: repeat-x;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td class="abmenu"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>
<td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td align="center" valign="top" style="width:40px;"><img src="images/bmenu_separator.gif" width="11" height="58"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
