<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-42 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image: url(images/diwen.gif);">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/diwen.gif">
  <tr>
   <td><img src="images/spacer.gif" width="30" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="13" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="241" height="1" border="0" /></td>
   <td><img src="images/spacer.gif" width="456" height="1" border="0" /></td>
   <td ><img src="images/spacer.gif" width="32" height="1" border="0" /></td>
  </tr>

  <tr>
    <td height="116" colspan="5" valign="top">
	<table width="100%"  height="116"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td >
		<table width="270" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="77" rowspan="5" align="right" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
              <td height="56" valign="bottom" class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td height="33" align="left" valign="top" class="logo-1"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td height="5" ></td>
            </tr>
          </table></td>
        <td align="center"  valign="middle">
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table></td>
        <td width="35" align="center" ></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="33" rowspan="3" valign="top"><img src="images/spacer.gif" width="30" height="10" border="0" /></td>
   <td background="images/header6.gif"><img src="images/header-5.gif" /></td>
   <td colspan="2" align="right" background="images/header6.gif"><img src="images/header.gif" width="695" height="258"/></td>
  <td rowspan="2" valign="top" ><img src="images/spacer.gif" width="32" height="10" border="0" /></td>
  </tr>
  <tr>
    <td colspan="2" valign="top">
      <table width="256" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="3" background="images/bulletleft4.gif"></td>
        </tr>
        <tr>
          <td valign="top" background="images/bulletleft1.gif"><table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="58"></td>
                <td width="14"></td>
                <td width="128" height="15"></td>
                <td width="28"></td>
                <td width="28"></td>
              </tr>
              <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
              </tr>
              <tr>
                <td colspan="2"></td>
                <td height="15"></td>
                <td></td>
                <td></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td height="9" background="images/bulletleft3.gif"></td>
        </tr>
      </table></td>
   <td valign="top" width="100%" height="100%">
   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
     <tr>
       <td style="padding-left:42px;padding-top:37px;">
	   <table border="0" cellpadding="0" cellspacing="0">
           <tr>
             <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td><img src="images/text.gif" /></td>
           </tr>
       </table></td>
     </tr>
     <tr>
       <td valign="top" background="images/diwen.gif" style="padding-top: 20px;
	padding-bottom: 20px;
	padding-left: 48px; height: 100%; vertical-align: top;">
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td> 
     </tr>
   </table></td>
  </tr>
  <tr>
    <td height="106" colspan="2">
</td>
  <td height="106" colspan="2"  align="right" style="padding-right:20px;">
     <table border="0" cellspacing="0" cellpadding="0">
       <tr>
         <td width="37" class="submenu"></td>
         <td class="submenu"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
         <td width="5" class="submenu"></td>
       </tr>
       <tr>
         <td colspan="3"></td>
       </tr>
     </table>
</td> 
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

           <tr>
             <td></td>
             <td bgcolor="#767676"></td>
             <td bgcolor="767676" class="menuCopy-1"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             <td bgcolor="#767676" class="icon"><img src="images/bulletleft2.gif" width="8" height="7"/></td>
             <td></td>
           </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

		 <tr>
             <td colspan="2"></td>
             <td width="128"><a href="{@HREF}" class="menuCopy"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
             <td class="icon"><img src="images/bulletleft2.gif" width="8" height="7"/></td>
             <td width="28"></td>
           </tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
