<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- telecommunications-002 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin:0px; ">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="300" valign="top" style="background:url('images/header_2.gif');background-repeat:repeat-x;">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td  valign="top" style="background:url('images/header_1.jpg') no-repeat;">
		
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top" height="300" style="background:url('images/header.jpg'); background-repeat:no-repeat; background-position:right;">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="60" align="right" valign="bottom">
		<!-- MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                     <xsl:call-template name="TOP-MENU"/>
                    <td width="40"><div style="width:40px; "></div></td>
                  </tr>
                </table>
		<!-- END MENU -->
				</td>
              </tr>
              <tr>
                <td height="230">
		<!-- LOGO -->
		      <table width="50%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td rowspan="2" width="80"><div style="width:80px; "></div></td>
                    <td rowspan="2" width="33" style="padding-right:6px; "><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                    <td class="company">
                    <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                    </td>
                  </tr>
                  <tr>
                    <td class="slogan">
                   <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                    </td>
                  </tr>
                </table>
		<!-- END LOGO -->
				</td>
              </tr>
            </table></td>
          </tr>
        </table>
	
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="175" style="background:url('images/bg1_1.gif');"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" height="175" style="background:url('images/bg1.gif'); background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="175" style="background:url('images/content1.gif'); background-repeat: no-repeat; background-position:right top;"><table width="100%" height="169"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="30%" valign="top">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><div style="width:100px; "></div></td>
                    <td valign="top">
	<!--  SUBMENU -->
						<table width="163px"  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                          		<td colspan="2"><div style="height:20px; width:163px "></div></td>
                          </tr>
                      	 <xsl:call-template name="SUB-MENU">
               	      		<xsl:with-param name="pageID" select="@ID"/>                            
                      		</xsl:call-template>  
                    </table>
		<!-- END SUBMENU -->
					</td>
                    <td><div style="width:40px;"></div></td>
                  </tr>
                </table></td>
                <td><table width="100%" height="169"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="45" valign="bottom">
	   <!-- TEXT HEADER -->
		<table  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td class="text-header">
                         <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
	<!-- END TEXT HEADER -->
					</td>
                  </tr>
                  <tr>
		<!-- CONTENT -->
                    <td class="pageContent" height="300" name="SB_stretch" valign="top">
                   <xsl:apply-templates select="PAGE-CONTENT"/>
                      </td>
		<!-- END CONTENT -->
                  </tr>
                </table></td>
                <td width="5%"><div style="width:60px; "></div></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="230" style="background:url('images/footer_bg1.gif');">
    	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      	<tr>
        	<td height="230" style="background:url('images/footer1.gif') no-repeat; background-position:left bottom;">
        		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          			<tr>
            			<td height="230" style="background:url('images/footer1_1.gif'); background-repeat:no-repeat; background-position:right bottom;">
            				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
              					<tr>
                					<td width="20%" height="120" valign="top">
									<!-- FOOTER -->
									<table width="250"  border="0" cellspacing="0" cellpadding="0">
                  						<tr>
                    						<td height="20" colspan="2"></td>
                  						</tr>
                 						<tr>
                    						<td width="70"><div style="width:70px; "></div></td>
                    						<td class="footer">
                    						<div align="center">
                    							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                    						</div>
                    						</td>
                  						</tr>
                					</table>
									<!-- END FOOTER -->
									</td>
                					<td width="80%" valign="top" align="right">
                					<table width="60%"  border="0" cellspacing="0" cellpadding="0">
                  				    <tr>
                    					<td height="20"></td>
                  					</tr>
                  					<tr>
                   					<td>
									<!-- BOOTTOM MENU -->
									<table width="100%"  border="0" cellpadding="0" cellspacing="0">
                     		 			<tr>
                        					<xsl:call-template name="BOTTOM-MENU"/>
                        						<td><div style="width:100px;"></div></td>
                      					</tr>
                					</table>
									<!-- END BOOTTOM MENU -->
					
					</td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>




</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
			       <td class="asubmenu" align="left">
				  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
				<td align="right">
				  <img src="images/button_sub.gif" border="0" alt=""/>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
				        <td >
					<a href="{@HREF}" class="submenu" align="left">
					   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
				        </td>
				        <td align="right">
				        <a href="{@HREF}">
				           <img src="images/button_sub.gif" border="0" alt=""/>
				        </a>
				        </td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	  <tr>
	      <td colspan="2" height="20px" style="background:url('images/hr.gif');background-repeat:repeat-x;background-position:center;" width="100%">
              <div style="height:1px"></div>
              </td>	
	 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td align="center">
			  <a href="{@HREF}" class="abmenu" id="abmenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </a>
			</td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   
		<td align="center">
			<a href="{@HREF}" class="bmenu" id="bmenu{position()}">
			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			</a>
		</td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10px" align="center" rowspan="2">
			    <div style="width:10px"><img src="images/bottom.gif" /></div>
			</td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

