<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xsk-01 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/xsk_32.jpg">
  <tr>
    <td height="57"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="149"><img src="images/xsk_01.jpg" width="149" height="57" alt="" /></td>
        <td width="100%" align="center" background="images/xsk_02.jpg">
<!-- END MENU -->
		<table border="0" height="57" cellspacing="0" cellpadding="0">
          <tr>
		   <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="152"><img src="images/xsk_04.jpg" width="152" height="57" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="194" background="images/xsk_05.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="194" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right; padding-left: 25px;">
<!-- END LOGO -->
	<table width="260" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" style="background-image: url(images/xsk_13.jpg);
	background-repeat: repeat-x;
	background-position: top;" ><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="264" valign="top"><table width="264" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="63"><img src="images/xsk_08.jpg" width="63" height="78" alt="" /></td>
            <td width="162"><img src="images/xsk_09.jpg" width="162" height="78" alt="" /></td>
            <td width="39"><img src="images/xsk_10.jpg" width="39" height="78" alt="" /></td>
          </tr>
          <tr>
            <td valign="top" background="images/xsk_25.jpg"><img src="images/xsk_14.jpg" width="63" height="152" alt="" /></td>
            <td valign="top" bgcolor="#9EA2AD">
			<!-- END SUBMENU -->
			<table width="162" border="0" cellspacing="0" cellpadding="0">
	 <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
			<!-- END SUBMENU -->
			</td>
            <td valign="top" background="images/xsk_26.jpg"><img src="images/xsk_16.jpg" width="39" height="152" alt="" /></td>
          </tr>
          <tr>
            <td background="images/xsk_19.jpg"><img src="images/xsk_29.jpg" width="63" height="47" alt="" /></td>
            <td><img src="images/xsk_30.jpg" width="162" height="47" alt="" /></td>
            <td><img src="images/xsk_31.jpg" width="39" height="47" alt="" /></td>
          </tr>
          <tr>
            <td><img src="images/spacer.gif" width="10" height="37" /></td>
            <td></td>
            <td></td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top"  style="padding-right: 60px; padding-left: 15px; padding-top: 15px; padding-bottom: 15px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td style="padding-right: 10px;"><img src="images/text.gif" /></td>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:10px;"></div>
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="1" bgcolor="#CFCED3">
              <tr>
                <td valign="top" bgcolor="#FFFFFF" style="padding: 25px;" name="SB_stretch" class="pageContent">
				<xsl:apply-templates select="PAGE-CONTENT"/>
              </td>
              </tr>
            </table>
			<!-- END CONTENT --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/xsk_37.jpg"><img src="images/xsk_37.jpg" width="780" height="3" alt="" /></td>
  </tr>
  <tr>
    <td height="40" align="center" bgcolor="#FFFFFF" style="padding-left: 40px; padding-right: 40px;">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table>
<!-- END BOOTTOM MENU -->
	</td>
  </tr>
  <tr>
    <td height="40" align="center" bgcolor="#FFFFFF">
<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
	</td>
  </tr>
</table>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
            <tr>
                <td width="137" background="images/subbg.gif" class="asubmenu" style="padding-left:15px; padding-right:15px; padding-top:5px;padding-bottom:5px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td width="25" background="images/subbg.gif"><img src="images/sub2.gif" width="10" height="7" /></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
             <tr>
                <td  width="137" style="padding-left:15px; padding-right:15px; padding-top:5px;padding-bottom:5px"><a href="{@HREF}" class="submenu">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				</td>
                <td width="25" ><img src="images/sub.gif" width="10" height="7" /></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                <td colspan="2"><img src="images/xsk_15.jpg" width="162" height="2" alt="" /></td>
                </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td><div align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
     <td><img src="images/xsk_40.jpg" width="28" height="8" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
